### Signal

# SpiceClientGLib MainChannel::main-clipboard-selection-grab

since: 0.6

#### Declaration

    gboolean
    main_clipboard_selection_grab (
      SpiceMainChannel* self,
      guint selection,
      gpointer types,
      guint ntypes,
      gpointer user_data
    )

#### Description [src]

Inform when clipboard data is available from the guest, and for which `types`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0.6

#### Parameters

`selection`

  Type: `guint`

  A VD_AGENT_CLIPBOARD_SELECTION clipboard.

`types`

  Type: An array of `guint32`

  The VD_AGENT_CLIPBOARD data types.

  The length of the array is specified in the `ntypes` argument.

`ntypes`

  Type: `guint`

  The number of `types`.

#### Return value

Type: `gboolean`

No description available.